Fedora Linux Support Community & Resources Center
  #46  
Old 10th April 2010, 03:59 PM
Debroyston Offline
Registered User
 
Join Date: Jul 2008
Location: England
Age: 80
Posts: 53
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Leigh,
rpmdev-setuptree command not found.
Using F13 alpha.
What do I do now?
  #47  
Old 10th April 2010, 04:42 PM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by Debroyston View Post
Leigh,
rpmdev-setuptree command not found.
Using F13 alpha.
What do I do now?
Follow the guide (step 1 should have installed it)

Code:
yum install rpmdevtools
  #48  
Old 12th April 2010, 01:43 AM
lmcogs Offline
Registered User
 
Join Date: Dec 2007
Posts: 249
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Got as far as step 4 and I get

[root@localhost SPECS]# rpmbuild -ba nvidia-kmod.spec --define "kernels $(uname -r)" --target $(uname -m)
Building target platforms: x86_64
Building for target x86_64
error: File /root/rpmbuild/SOURCES/nvidia-kmod-data-195.36.15.tar.bz2: No such file or directory

[root@localhost SPECS]# uname -r
2.6.33.1-24.fc13.x86_64

and there is nothing in

ls /root/rpmbuild/SOURCES/

---------- Post added at 04:43 PM CDT ---------- Previous post was at 04:22 PM CDT ----------

Oh I see you are meant to do step 3 4 as non root.

However I am now getting this

yum install --nogpgcheck nvidia-kmod xorg-x11-drv-nvidia
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
No package xorg-x11-drv-nvidia available.
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.32.2-15.fc13.x86_64 >= 190.53-1.fc13 for package: kmod-nvidia-190.53-1.fc13.x86_64
--> Running transaction check
---> Package kmod-nvidia-2.6.32.2-15.fc13.x86_64.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.32.2-15.fc13.x86_64 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Processing Dependency: nvidia-kmod-common >= 190.53 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: kernel-uname-r = 2.6.32.2-15.fc13.x86_64
Installed: kernel-2.6.33-0.52.rc8.git6.fc13.x86_64 (installed)
Installed: kernel-2.6.33.1-24.fc13.x86_64 (@fedora)
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: nvidia-kmod-common >= 190.53
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
  #49  
Old 12th April 2010, 11:08 AM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by lmcogs View Post
Got as far as step 4 and I get

[root@localhost SPECS]# rpmbuild -ba nvidia-kmod.spec --define "kernels $(uname -r)" --target $(uname -m)
Building target platforms: x86_64
Building for target x86_64
error: File /root/rpmbuild/SOURCES/nvidia-kmod-data-195.36.15.tar.bz2: No such file or directory

[root@localhost SPECS]# uname -r
2.6.33.1-24.fc13.x86_64

and there is nothing in

ls /root/rpmbuild/SOURCES/

---------- Post added at 04:43 PM CDT ---------- Previous post was at 04:22 PM CDT ----------

Oh I see you are meant to do step 3 4 as non root.

However I am now getting this

yum install --nogpgcheck nvidia-kmod xorg-x11-drv-nvidia
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
No package xorg-x11-drv-nvidia available.
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.32.2-15.fc13.x86_64 >= 190.53-1.fc13 for package: kmod-nvidia-190.53-1.fc13.x86_64
--> Running transaction check
---> Package kmod-nvidia-2.6.32.2-15.fc13.x86_64.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.32.2-15.fc13.x86_64 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Processing Dependency: nvidia-kmod-common >= 190.53 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: kernel-uname-r = 2.6.32.2-15.fc13.x86_64
Installed: kernel-2.6.33-0.52.rc8.git6.fc13.x86_64 (installed)
Installed: kernel-2.6.33.1-24.fc13.x86_64 (@fedora)
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: nvidia-kmod-common >= 190.53
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

http://forums.fedoraforum.org/showpo...3&postcount=41
  #50  
Old 12th April 2010, 11:58 AM
lmcogs Offline
Registered User
 
Join Date: Dec 2007
Posts: 249
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Still getting error requesting earlier kernel I think

yum install --nogpgcheck kmod-nvidia xorg-x11-drv-nvidia xorg-x11-drv-nvidia-libs
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
No package xorg-x11-drv-nvidia available.
No package xorg-x11-drv-nvidia-libs available.
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.32.2-15.fc13.x86_64 >= 190.53-1.fc13 for package: kmod-nvidia-190.53-1.fc13.x86_64
--> Running transaction check
---> Package kmod-nvidia-2.6.32.2-15.fc13.x86_64.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.32.2-15.fc13.x86_64 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Processing Dependency: nvidia-kmod-common >= 190.53 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: kernel-uname-r = 2.6.32.2-15.fc13.x86_64
Installed: kernel-2.6.33-0.52.rc8.git6.fc13.x86_64 (installed)
Installed: kernel-2.6.33.1-24.fc13.x86_64 (@fedora)
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: nvidia-kmod-common >= 190.53
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
  #51  
Old 12th April 2010, 12:12 PM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by lmcogs View Post
Still getting error requesting earlier kernel I think

yum install --nogpgcheck kmod-nvidia xorg-x11-drv-nvidia xorg-x11-drv-nvidia-libs
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
No package xorg-x11-drv-nvidia available.
No package xorg-x11-drv-nvidia-libs available.
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.32.2-15.fc13.x86_64 >= 190.53-1.fc13 for package: kmod-nvidia-190.53-1.fc13.x86_64
--> Running transaction check
---> Package kmod-nvidia-2.6.32.2-15.fc13.x86_64.x86_64 0:190.53-1.fc13 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.32.2-15.fc13.x86_64 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Processing Dependency: nvidia-kmod-common >= 190.53 for package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: kernel-uname-r = 2.6.32.2-15.fc13.x86_64
Installed: kernel-2.6.33-0.52.rc8.git6.fc13.x86_64 (installed)
Installed: kernel-2.6.33.1-24.fc13.x86_64 (@fedora)
Error: Package: kmod-nvidia-2.6.32.2-15.fc13.x86_64-190.53-1.fc13.x86_64 (rpmfusion-nonfree-rawhide)
Requires: nvidia-kmod-common >= 190.53
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

You should be installing the newly built rpms found in ~/rpmbuild/RPMS/x86_64.

Try
Code:
su
rm -f /home/*/rpmbuild/RPMS/x86_64/*nvidia*de*rpm
yum install --nogpgcheck /home/*/rpmbuild/RPMS/x86_64/*nvidia*rpm
  #52  
Old 12th April 2010, 12:32 PM
lmcogs Offline
Registered User
 
Join Date: Dec 2007
Posts: 249
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Dead on leigh123linux completed and rebooted and working well thanks
  #53  
Old 12th April 2010, 08:24 PM
newiLuvatar Offline
Registered User
 
Join Date: Aug 2007
Location: Switzerland
Posts: 479
linuxsafari
Re: Nvidia guide for F13 Development.

when I try rebuilding the driver for kernel 2.6.33.1-24.fc13.x86_64 I get a dependency resolution error if I try to install using yum:
Code:
--> Finished Dependency Resolution
Error: Package: akmod-open-vm-tools-0.0.0.236320-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: open-vm-tools-kmod-common >= 0.0.0.236320
           Available: open-vm-tools-0.0.0.226760-1.fc13.x86_64 (rpmfusion-free-rawhide)
Error: Package: VirtualBox-OSE-3.1.4-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: VirtualBox-OSE-kmod = 3.1.4
           Available: akmod-VirtualBox-OSE-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
           Available: akmod-VirtualBox-OSE-3.1.0-0.1.beta2.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: akmod-VirtualBox-OSE-3.1.0-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Installing: akmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.0-0.1.beta2.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.0-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-2.6.31.5-127.fc12.x86_64-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
Error: Package: akmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: VirtualBox-OSE-kmodsrc = 3.1.2
           Available: VirtualBox-OSE-kmodsrc-3.1.4-1.fc13.x86_64 (rpmfusion-free-rawhide)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
  #54  
Old 12th April 2010, 08:38 PM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by newiLuvatar View Post
when I try rebuilding the driver for kernel 2.6.33.1-24.fc13.x86_64 I get a dependency resolution error if I try to install using yum:
Code:
--> Finished Dependency Resolution
Error: Package: akmod-open-vm-tools-0.0.0.236320-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: open-vm-tools-kmod-common >= 0.0.0.236320
           Available: open-vm-tools-0.0.0.226760-1.fc13.x86_64 (rpmfusion-free-rawhide)
Error: Package: VirtualBox-OSE-3.1.4-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: VirtualBox-OSE-kmod = 3.1.4
           Available: akmod-VirtualBox-OSE-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
           Available: akmod-VirtualBox-OSE-3.1.0-0.1.beta2.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: akmod-VirtualBox-OSE-3.1.0-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Installing: akmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.0-0.1.beta2.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.0-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Available: kmod-VirtualBox-OSE-2.6.31.5-127.fc12.x86_64-3.0.10-1.fc12.4.x86_64 (rpmfusion-free-rawhide)
Error: Package: akmod-VirtualBox-OSE-3.1.2-1.fc13.x86_64 (rpmfusion-free-rawhide)
           Requires: VirtualBox-OSE-kmodsrc = 3.1.2
           Available: VirtualBox-OSE-kmodsrc-3.1.4-1.fc13.x86_64 (rpmfusion-free-rawhide)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Try


Code:
wget http://download1.rpmfusion.org/free/fedora/development/source/SRPMS/VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm
rpmbuild --rebuild VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm --define "kernels $(uname -r)"  --target $(uname -m)
Then include the kmod in the transaction
  #55  
Old 12th April 2010, 11:55 PM
newiLuvatar Offline
Registered User
 
Join Date: Aug 2007
Location: Switzerland
Posts: 479
linuxsafari
Re: Nvidia guide for F13 Development.

now I get this:
Code:
$ rpmbuild --rebuild VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm --define "kernels $(uname -r)"  --target $(uname -m)
Installing VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Building target platforms: x86_64
Building for target x86_64
error: Failed build dependencies:
	VirtualBox-OSE-kmodsrc = 3.1.2 is needed by VirtualBox-OSE-kmod-3.1.2-1.fc13.x86_64
I was looking for a package VirtualBox-OSE-kmodsrc-3.1.2-1.fc13.x86_64, but I could only find VirtualBox-OSE-kmodsrc-3.1.2-1.fc12.x86_64. Should I try that one?
  #56  
Old 13th April 2010, 12:27 AM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by newiLuvatar View Post
now I get this:
Code:
$ rpmbuild --rebuild VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm --define "kernels $(uname -r)"  --target $(uname -m)
Installing VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Building target platforms: x86_64
Building for target x86_64
error: Failed build dependencies:
    VirtualBox-OSE-kmodsrc = 3.1.2 is needed by VirtualBox-OSE-kmod-3.1.2-1.fc13.x86_64
I was looking for a package VirtualBox-OSE-kmodsrc-3.1.2-1.fc13.x86_64, but I could only find VirtualBox-OSE-kmodsrc-3.1.2-1.fc12.x86_64. Should I try that one?
You could try this package
http://hany.sk/~hany/RPM/rpmfusion-f...12.x86_64.html
  #57  
Old 13th April 2010, 10:59 PM
newiLuvatar Offline
Registered User
 
Join Date: Aug 2007
Location: Switzerland
Posts: 479
linuxsafari
Re: Nvidia guide for F13 Development.

ok, so I downloaded

VirtualBox-OSE-kmodsrc-3.1.2-1.fc12.x86_64.rpm
akmod-VirtualBox-OSE-3.1.4-1.fc13.x86_64.rpm
kmod-VirtualBox-OSE-3.1.4-1.fc13.x86_64.rpm

built

VirtualBox-OSE-kmod-3.1.2-1.fc13.src.rpm
(guess I could have donwloaded the f12 rpm, too)

then installed with
Code:
# yum --nogpgcheck install *.rpm
worked fine here. hope I didn't forget anything...
  #58  
Old 14th April 2010, 12:12 PM
lmcogs Offline
Registered User
 
Join Date: Dec 2007
Posts: 249
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Just noticed that you have to rebuild again with any new kernel update.
  #59  
Old 14th April 2010, 12:53 PM
leigh123linux
Guest
 
Posts: n/a
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Quote:
Originally Posted by lmcogs View Post
Just noticed that you have to rebuild again with any new kernel update.
You only have to build the kmod package.



i.e after today's kernel update I ran this


Code:
rpmbuild --rebuild  /home/leigh/rpmbuild/SRPMS/nvidia-kmod-195.36.15-1.fc13.src.rpm --define  "kernels 2.6.33.2-41.fc13.x86_64"  --target $(uname -m)
Then installed the new kmod with rpm -ivh
  #60  
Old 14th April 2010, 02:25 PM
Debroyston Offline
Registered User
 
Join Date: Jul 2008
Location: England
Age: 80
Posts: 53
linuxfedorafirefox
Re: Nvidia guide for F13 Development.

Leigh, I have tried to enable the rawhide repository with

yum --enablerepo=rawhide
but get the following

error getting repository data for rawhide, repository not found.

Please help.
 

Tags
development, f13, guide, nvidia

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Nvidia guide for Rawhide. leigh123linux F16 Development 77 15th February 2011 11:08 PM
Nvidia drivers (My Guide) Clunixchit Guides & Solutions (No Questions) 37 11th November 2006 03:06 AM
Followed Firewing's Nvidia guide - Problems! shadowwyvern Hardware & Laptops 7 25th September 2006 12:06 AM
Welcome to My Own Installation Nvidia Guide EvolutionR Guides & Solutions (No Questions) 11 6th January 2005 04:48 PM


Current GMT-time: 02:05 (Monday, 22-12-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
...Nil River - Cairo, Egypt Travel Photos on Instagram - A Casa Mia - Cornelia Deluxe Resort, Belek-Antalya